Generate Milestone Documents
Generate Milestone Document records for up to 500 milestones. Milestone Document records are used to display matched document details in the Milestone Workspace.
Learn more about the Milestone Workplace in Vault Help
POST
/api/{version}/app/clinical/milestone/actions/generatemilestonedocumentsHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | text/csv |
Body Parameters
Section link for Body ParametersThe CSV file must have a single column with the header id. List each milestone ID on a separate row below. Including more than 500 rows results in an error.
Response
Section link for ResponseOn SUCCESS, Vault starts an Add Expected Documents job to create the Milestone Document records. On completion, Vault sends an email notification containing a link to download a list in CSV format of successfully created records.
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: text/csv" \
"https://myvault.veevavault.com/api/v26.1/app/clinical/milestone/actions/generatemilestonedocuments"Response
Section link for Response{
"responseStatus": "SUCCESS",
"SUCCESS": "Successfully generated milestone documents"
}